
Redmine - Feature #1860

reST (reStructuredText) support
Status: Closed Start date: 2008-09-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Textile is nice but sometimes not powerful enough. There I see a place for reStructuredText formatting.

Of course as an option, textile is definitely suitable for many projects. It would be great addition especially for those who migrate from

trac.

Nice to have: wiki syntax could be chosen per project.

As a non-programmer I can't see the complexity of this, but I can imagine, that somebody's got other favorite syntax and would like to

have it available in Redmine and would add the parser if there was some standard interface to do that.

Related issues:

Is duplicate of Redmine - Feature #1208: Restructured text support for the wiki New 2008-05-08

History

#1 - 2008-09-05 08:31 - Paul Rivier

It is indeed technically feasible, but could you please elaborate on "Textile is [snip] not powerful enough" so that we know exactly what is lacking.

#2 - 2008-09-09 08:06 - James Turnbull

Also duplicate of #1208

#3 - 2008-09-09 09:49 - Daniel Srb

James: I'll try to search more thoroughly next time.

Paul:

  Place you code here.

 Textile is a way to write HTML more effective way.

ReST is a way to write plain text that is parseable but also looking "formatted" in plain text view. That is probably why it's standard Python way of

writing documentation and that's why nearly every single colleague of mine who is a Python developer asked me about ReST support after

Trac2Redmine migration.

As I read through other textile/wiki formatting threads and issues here, I suppose more (and good enough) would be support for different formatting in

Trac way (marking block of differently formatted with start and end sequence). Much bigger problem seems to be what James wrote in #1208 about

non-existence of Ruby parser for ReST.

#4 - 2008-09-09 09:50 - Daniel Srb

Daniel Srb wrote:

[...]

 oops i forgot something there... please ignore the code . )

#5 - 2008-11-10 21:15 - Karl Heinz Marbaise

- Category set to Wiki
#6 - 2009-10-27 21:45 - Manuel Vázquez Acosta

- Status changed from New to Resolved

This is a dupe of #1208.

#7 - 2009-10-28 11:24 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Duplicate
